<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>DynamicStreamHandler (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DynamicStreamHandler (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/logging/LogFormat.html" title="class in com.sk89q.worldedit.util.logging"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/logging/DynamicStreamHandler.html" target="_top">Frames</a></li>
<li><a href="DynamicStreamHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.logging</div>
<h2 title="Class DynamicStreamHandler" class="title">Class DynamicStreamHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.logging.Handler</li>
<li>
<ul class="inheritance">
<li>java.util.logging.StreamHandler</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.logging.DynamicStreamHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">DynamicStreamHandler</span>
extends java.util.logging.StreamHandler</pre>
<div class="block">A <code>StreamHandler</code> delegate that allows for the swap and disable of
 another handler. When <a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setHandler-java.util.logging.StreamHandler-"><code>setHandler(StreamHandler)</code></a> is called with
 null, then records passed onto this handler will be dropped. Otherwise,
 the delegate handler will receive those records.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#DynamicStreamHandler--">DynamicStreamHandler</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#close--">close</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#flush--">flush</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.logging.Filter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#getFilter--">getFilter</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.logging.Formatter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#getFormatter--">getFormatter</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.logging.StreamHandler</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#getHandler--">getHandler</a></span>()</code>
<div class="block">Get the delegate handler.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.logging.Level</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#getLevel--">getLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#isLoggable-java.util.logging.LogRecord-">isLoggable</a></span>(java.util.logging.LogRecord&nbsp;record)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#publish-java.util.logging.LogRecord-">publish</a></span>(java.util.logging.LogRecord&nbsp;record)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setEncoding-java.lang.String-">setEncoding</a></span>(java.lang.String&nbsp;encoding)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setFilter-java.util.logging.Filter-">setFilter</a></span>(java.util.logging.Filter&nbsp;newFilter)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setFormatter-java.util.logging.Formatter-">setFormatter</a></span>(java.util.logging.Formatter&nbsp;newFormatter)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setHandler-java.util.logging.StreamHandler-">setHandler</a></span>(java.util.logging.StreamHandler&nbsp;handler)</code>
<div class="block">Set the handler.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/logging/DynamicStreamHandler.html#setLevel-java.util.logging.Level-">setLevel</a></span>(java.util.logging.Level&nbsp;newLevel)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.logging.StreamHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.logging.StreamHandler</h3>
<code>setOutputStream</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.logging.Handler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.logging.Handler</h3>
<code>getErrorManager, reportError, setErrorManager</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DynamicStreamHandler--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DynamicStreamHandler</h4>
<pre>public&nbsp;DynamicStreamHandler()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandler</h4>
<pre>@Nullable
public&nbsp;java.util.logging.StreamHandler&nbsp;getHandler()</pre>
<div class="block">Get the delegate handler.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delegate handler (Which may be null)</dd>
</dl>
</li>
</ul>
<a name="setHandler-java.util.logging.StreamHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandler</h4>
<pre>public&nbsp;void&nbsp;setHandler(@Nullable
                       java.util.logging.StreamHandler&nbsp;handler)</pre>
<div class="block">Set the handler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the delegate handler (which can be null)</dd>
</dl>
</li>
</ul>
<a name="publish-java.util.logging.LogRecord-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>publish</h4>
<pre>public&nbsp;void&nbsp;publish(java.util.logging.LogRecord&nbsp;record)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>publish</code>&nbsp;in class&nbsp;<code>java.util.logging.StreamHandler</code></dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws java.lang.SecurityException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>close</code>&nbsp;in class&nbsp;<code>java.util.logging.StreamHandler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;void&nbsp;setEncoding(@Nullable
                        java.lang.String&nbsp;encoding)
                 throws java.lang.SecurityException,
                        java.io.UnsupportedEncodingException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setEncoding</code>&nbsp;in class&nbsp;<code>java.util.logging.StreamHandler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
<dd><code>java.io.UnsupportedEncodingException</code></dd>
</dl>
</li>
</ul>
<a name="isLoggable-java.util.logging.LogRecord-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLoggable</h4>
<pre>public&nbsp;boolean&nbsp;isLoggable(java.util.logging.LogRecord&nbsp;record)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isLoggable</code>&nbsp;in class&nbsp;<code>java.util.logging.StreamHandler</code></dd>
</dl>
</li>
</ul>
<a name="flush--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flush</h4>
<pre>public&nbsp;void&nbsp;flush()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>flush</code>&nbsp;in class&nbsp;<code>java.util.logging.StreamHandler</code></dd>
</dl>
</li>
</ul>
<a name="setFormatter-java.util.logging.Formatter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFormatter</h4>
<pre>public&nbsp;void&nbsp;setFormatter(@Nullable
                         java.util.logging.Formatter&nbsp;newFormatter)
                  throws java.lang.SecurityException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setFormatter</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
</dl>
</li>
</ul>
<a name="getFormatter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFormatter</h4>
<pre>public&nbsp;java.util.logging.Formatter&nbsp;getFormatter()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getFormatter</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEncoding()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getEncoding</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
</dl>
</li>
</ul>
<a name="setFilter-java.util.logging.Filter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFilter</h4>
<pre>public&nbsp;void&nbsp;setFilter(@Nullable
                      java.util.logging.Filter&nbsp;newFilter)
               throws java.lang.SecurityException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setFilter</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
</dl>
</li>
</ul>
<a name="getFilter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilter</h4>
<pre>public&nbsp;java.util.logging.Filter&nbsp;getFilter()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getFilter</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
</dl>
</li>
</ul>
<a name="setLevel-java.util.logging.Level-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLevel</h4>
<pre>public&nbsp;void&nbsp;setLevel(java.util.logging.Level&nbsp;newLevel)
              throws java.lang.SecurityException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setLevel</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
</dl>
</li>
</ul>
<a name="getLevel--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLevel</h4>
<pre>public&nbsp;java.util.logging.Level&nbsp;getLevel()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getLevel</code>&nbsp;in class&nbsp;<code>java.util.logging.Handler</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/logging/LogFormat.html" title="class in com.sk89q.worldedit.util.logging"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/logging/DynamicStreamHandler.html" target="_top">Frames</a></li>
<li><a href="DynamicStreamHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
